## org.eclipse.m2m.qvt.oml.debug.core
Class QVTOValue

    java.lang.Object
      DebugElement
          org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
              org.eclipse.m2m.qvt.oml.debug.core.QVTOValue

    public class QVTOValue

extends QVTODebugElement

Method Summary
`java.lang.String` `computeDetail()`
`java.lang.String` `getReferenceTypeName()`
`java.lang.String` `getValueString()`
`IVariable[]` `getVariables()`
`boolean` `hasVariables()`
`boolean` `isAllocated()`

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
`getModelIdentifier, getQVTODebugTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasVariables

    public boolean hasVariables()
                         throws DebugException

  Throws:
    `DebugException`

### getVariables

    public IVariable[] getVariables()
                             throws DebugException

  Throws:
    `DebugException`

### getValueString

    public java.lang.String getValueString()
                                    throws DebugException

  Throws:
    `DebugException`

### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws DebugException

  Throws:
    `DebugException`

### computeDetail

    public java.lang.String computeDetail()
                                   throws DebugException

  Throws:
    `DebugException`

### isAllocated

    public boolean isAllocated()
                        throws DebugException

  Throws:
    `DebugException`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.